Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1)

Unified Diff: tool/node_test.sh

Issue 1633003002: Add --modules=node support (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: merged master Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tool/input_sdk/private/types.dart ('k') | tool/presubmit.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/node_test.sh
diff --git a/tool/node_test.sh b/tool/node_test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..4adc07d5806182ddf1ca4c45217e8d1180277dd6
--- /dev/null
+++ b/tool/node_test.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -e
+# switch to the root directory of dev_compiler
+cd $( dirname "${BASH_SOURCE[0]}" )/..
+
+output_dir=tmp/node
+[[ -d $output_dir ]] || mkdir -p $output_dir
+
+ddc_options=(
+ --destructure-named-params
+ --modules=node
+ -o $output_dir
+)
+node_harmony_options=(
+ --harmony
+ --harmony_destructuring
+ --harmony_default_parameters
+)
+function compile() {
+ ./bin/dartdevc.dart "${ddc_options[@]}" $1
+}
+function run() {
+ NODE_PATH=$output_dir \
+ node "${node_harmony_options[@]}" -e \
+ "require('dart/_isolate_helper').startRootIsolate(require('$1').main, []);"
+}
+
+# TODO(ochafik): Add full language tests (in separate Travis env/matrix config).
+
+echo "Compiling SDK for node to $output_dir"
+./tool/build_sdk.sh "${ddc_options[@]}"
+
+echo "Now compiling hello_dart_test"
+compile test/codegen/language/hello_dart_test.dart
+run hello_dart_test
+
+echo "Now compiling DeltaBlue"
+compile test/codegen/DeltaBlue.dart
+run DeltaBlue
« no previous file with comments | « tool/input_sdk/private/types.dart ('k') | tool/presubmit.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698